import Link from "next/link";
import { buttonVariants } from "../ui/button";
import {
  Eye,
  Globe2,
  Home,
  ScrollText,
  Search,
  Siren,
  Sparkles,
  TrendingUp,
} from "lucide-react";

export function NavigationLinks() {
  return (
    <>
      <Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel"
      >
        <Home className="h-4 w-4" />
      </Link>
      {/*<Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/search"
      >
        <Search className="h-4 w-4" />
  </Link>*/}
      <Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/reports"
      >
        <Siren className="h-4 w-4" />
      </Link>
      <Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/inspect"
      >
        <Search className="h-4 w-4" />
      </Link>
      {/*<Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/discover"
      >
        <Globe2 className="h-4 w-4" />
    </Link>
      <Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/audit"
      >
        <ScrollText className="h-4 w-4" />
      </Link>
      <Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/activity"
        // href="https://monitor.revolt.chat/d/fb0383b2-86c8-4c9c-b401-0af8ce9869af/global-stats?orgId=1"
      >
        <TrendingUp className="h-4 w-4" />
      </Link>*/}
      <Link
        className={buttonVariants({ variant: "outline", size: "icon" })}
        href="/panel/sparkle"
      >
        <Sparkles className="h-4 w-4" />
      </Link>
    </>
  );
}
